Bug 473973 - system-config-display refuses to start
system-config-display refuses to start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 12:06 EST by Chris Weyl
Modified: 2008-12-16 15:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-16 15:40:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-12-01 12:06:40 EST
Description of problem:
system-config-display refuses to start.

This is on a fresh, up to date F-10 system.

Version-Release number of selected component (if applicable):
system-config-display-1.1.1-1.fc10.noarch

How reproducible:
Install, try to run.
  
Actual results:
[cweyl@zeus Desktop]$ system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 312, in <module>
    hardware_state = XF86HardwareState(xconfig)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 174, in __init__
    self.init_from_xconfig(xconfig)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 260, in init_from_xconfig
    if screen.device:
AttributeError: 'NoneType' object has no attribute 'device'
[cweyl@zeus Desktop]$ rpmquery system-config-display
system-config-display-1.1.1-1.fc10.noarch


Expected results:
system-config-display window.
Comment 1 benvdh 2008-12-02 17:00:59 EST
I don't know if this is related to this bug, but I basically have the same problem, only with a different error message:

[root@fedora ben]# system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 665, in __init__
    self.xml.get_widget("secondMonitorLabel").set_text(monitor_list[1].modelname)
TypeError: GtkLabel.set_text() argument 1 must be string, not None
[root@fedora ben]# rpmquery system-config-display
system-config-display-1.1.1-1.fc10.noarch
Comment 2 Adam Jackson 2008-12-16 15:40:34 EST
Fixed in rhpxl 1.10.

Note You need to log in before you can comment on or make changes to this bug.